Create project
curl --request POST \
--url https://cloud.memsource.com/web/api2/v2/projects \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
],
"dateDue": "2023-11-07T05:31:56Z",
"fileHandover": true,
"lqaProfiles": [
{}
],
"note": "<string>",
"purchaseOrder": "<string>",
"workflowSteps": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects"
payload = {
"name": "<string>",
"sourceLang": "<string>",
"targetLangs": ["<string>"],
"dateDue": "2023-11-07T05:31:56Z",
"fileHandover": True,
"lqaProfiles": [{}],
"note": "<string>",
"purchaseOrder": "<string>",
"workflowSteps": [{ "id": "<string>" }]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
sourceLang: '<string>',
targetLangs: ['<string>'],
dateDue: '2023-11-07T05:31:56Z',
fileHandover: true,
lqaProfiles: [{}],
note: '<string>',
purchaseOrder: '<string>',
workflowSteps: [{id: '<string>'}]
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v2/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'sourceLang' => '<string>',
'targetLangs' => [
'<string>'
],
'dateDue' => '2023-11-07T05:31:56Z',
'fileHandover' => true,
'lqaProfiles' => [
[
]
],
'note' => '<string>',
'purchaseOrder' => '<string>',
'workflowSteps' => [
[
'id' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v2/projects"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"sourceLang\": \"<string>\",\n \"targetLangs\": [\n \"<string>\"\n ],\n \"dateDue\": \"2023-11-07T05:31:56Z\",\n \"fileHandover\": true,\n \"lqaProfiles\": [\n {}\n ],\n \"note\": \"<string>\",\n \"purchaseOrder\": \"<string>\",\n \"workflowSteps\": [\n {\n \"id\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.memsource.com/web/api2/v2/projects")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"sourceLang\": \"<string>\",\n \"targetLangs\": [\n \"<string>\"\n ],\n \"dateDue\": \"2023-11-07T05:31:56Z\",\n \"fileHandover\": true,\n \"lqaProfiles\": [\n {}\n ],\n \"note\": \"<string>\",\n \"purchaseOrder\": \"<string>\",\n \"workflowSteps\": [\n {\n \"id\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v2/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"sourceLang\": \"<string>\",\n \"targetLangs\": [\n \"<string>\"\n ],\n \"dateDue\": \"2023-11-07T05:31:56Z\",\n \"fileHandover\": true,\n \"lqaProfiles\": [\n {}\n ],\n \"note\": \"<string>\",\n \"purchaseOrder\": \"<string>\",\n \"workflowSteps\": [\n {\n \"id\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"userRole": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"internalId": 123,
"mtSettingsPerLanguageList": [
{
"targetLang": "<string>",
"machineTranslateSettings": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"uid": "<string>"
}
}
],
"name": "<string>",
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"references": [
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "<string>",
"note": "<string>",
"uid": "<string>"
}
],
"sourceLang": "<string>",
"status": "NEW",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"targetLangs": [
"<string>"
],
"uid": "<string>"
}Project
Create project
deprecated
Deprecated. Use POST /api2/v2/projects/applyTemplate/ instead.
POST
/
api2
/
v2
/
projects
Create project
curl --request POST \
--url https://cloud.memsource.com/web/api2/v2/projects \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
],
"dateDue": "2023-11-07T05:31:56Z",
"fileHandover": true,
"lqaProfiles": [
{}
],
"note": "<string>",
"purchaseOrder": "<string>",
"workflowSteps": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects"
payload = {
"name": "<string>",
"sourceLang": "<string>",
"targetLangs": ["<string>"],
"dateDue": "2023-11-07T05:31:56Z",
"fileHandover": True,
"lqaProfiles": [{}],
"note": "<string>",
"purchaseOrder": "<string>",
"workflowSteps": [{ "id": "<string>" }]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
sourceLang: '<string>',
targetLangs: ['<string>'],
dateDue: '2023-11-07T05:31:56Z',
fileHandover: true,
lqaProfiles: [{}],
note: '<string>',
purchaseOrder: '<string>',
workflowSteps: [{id: '<string>'}]
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v2/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'sourceLang' => '<string>',
'targetLangs' => [
'<string>'
],
'dateDue' => '2023-11-07T05:31:56Z',
'fileHandover' => true,
'lqaProfiles' => [
[
]
],
'note' => '<string>',
'purchaseOrder' => '<string>',
'workflowSteps' => [
[
'id' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v2/projects"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"sourceLang\": \"<string>\",\n \"targetLangs\": [\n \"<string>\"\n ],\n \"dateDue\": \"2023-11-07T05:31:56Z\",\n \"fileHandover\": true,\n \"lqaProfiles\": [\n {}\n ],\n \"note\": \"<string>\",\n \"purchaseOrder\": \"<string>\",\n \"workflowSteps\": [\n {\n \"id\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.memsource.com/web/api2/v2/projects")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"sourceLang\": \"<string>\",\n \"targetLangs\": [\n \"<string>\"\n ],\n \"dateDue\": \"2023-11-07T05:31:56Z\",\n \"fileHandover\": true,\n \"lqaProfiles\": [\n {}\n ],\n \"note\": \"<string>\",\n \"purchaseOrder\": \"<string>\",\n \"workflowSteps\": [\n {\n \"id\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v2/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"sourceLang\": \"<string>\",\n \"targetLangs\": [\n \"<string>\"\n ],\n \"dateDue\": \"2023-11-07T05:31:56Z\",\n \"fileHandover\": true,\n \"lqaProfiles\": [\n {}\n ],\n \"note\": \"<string>\",\n \"purchaseOrder\": \"<string>\",\n \"workflowSteps\": [\n {\n \"id\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"userRole": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"internalId": 123,
"mtSettingsPerLanguageList": [
{
"targetLang": "<string>",
"machineTranslateSettings": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"uid": "<string>"
}
}
],
"name": "<string>",
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"references": [
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "<string>",
"note": "<string>",
"uid": "<string>"
}
],
"sourceLang": "<string>",
"status": "NEW",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"targetLangs": [
"<string>"
],
"uid": "<string>"
}Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Body
application/json
Response
Created
Base projectDto
Project status; one of NEW, ASSIGNED, COMPLETED, ACCEPTED_BY_VENDOR, DECLINED_BY_VENDOR, COMPLETED_BY_VENDOR, CANCELLED. Null when the organization hides progress and status from non-linguist, non-bot callers.
Available options:
NEW, ASSIGNED, COMPLETED, ACCEPTED_BY_VENDOR, DECLINED_BY_VENDOR, COMPLETED_BY_VENDOR, CANCELLED Was this page helpful?